libglom-1.22: GlomBakery::View< T_Document > Class Template Reference

libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
GlomBakery::View< T_Document > Class Template Reference

This is a base class which should be multiple-inherited with gtkmm widgets. More...

Inheritance diagram for GlomBakery::View< T_Document >:
[legend]
Collaboration diagram for GlomBakery::View< T_Document >:
[legend]

List of all members.

## Public Types
typedef View< T_Document > | type_self
## Public Member Functions
| View ()
virtual | ~View ()
virtual T_Document* | get_document ()
virtual const T_Document* | get_document () const
virtual void | set_document (T_Document* pDocument)
virtual void | set_modified (bool val=true)
| Just a convenience, instead of get_docuement()->set_modified().
## Protected Member Functions
void | on_document_forget ()
## Protected Attributes
T_Document* | m_pDocument

## Detailed Description

### template<class T_Document>
class GlomBakery::View< T_Document >

This is a base class which should be multiple-inherited with gtkmm widgets.

You should override save_to_document() and load_from_document().

## Member Typedef Documentation

template <class T_Document >

typedef View<T_Document> GlomBakery::View< T_Document >::type_self

## Constructor & Destructor Documentation

template <class T_Document >

GlomBakery::View< T_Document >::View | ( |  | ) | `[inline]`

template <class T_Document >

virtual GlomBakery::View< T_Document >::~View | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template <class T_Document >

virtual T_Document* GlomBakery::View< T_Document >::get_document | ( |  | ) | `[inline, virtual]`

template <class T_Document >

virtual const T_Document* GlomBakery::View< T_Document >::get_document | ( |  | ) | const`[inline, virtual]`

template <class T_Document >

void GlomBakery::View< T_Document >::on_document_forget | ( |  | ) | `[inline, protected]`

template <class T_Document >

virtual void GlomBakery::View< T_Document >::set_document | ( | T_Document * | pDocument | ) | `[inline, virtual]`

Reimplemented in GlomBakery::View_Composite< T_Document >.

template <class T_Document >

virtual void GlomBakery::View< T_Document >::set_modified | ( | bool | val = `true` | ) | `[inline, virtual]`

Just a convenience, instead of get_docuement()->set_modified().

## Member Data Documentation

template <class T_Document >

T_Document* GlomBakery::View< T_Document >::m_pDocument`[protected]`

The documentation for this class was generated from the following file:

- libglom/document/bakery/view/view.h